afc_client_new_from_house_arrest_client
house_arrest_client_free
house_arrest_client_new
house_arrest_client_start_service
house_arrest_client_t
house_arrest_error_t
house_arrest_get_result
house_arrest_send_command
house_arrest_send_request
HOUSE_ARREST_SERVICE_NAME

## house_arrest_send_command()

LIBIMOBILEDEVICE_API house_arrest_error_t house_arrest_send_command | ( | house_arrest_client_t | client,
|  | const char * | command,
|  | const char * | appid )

Send a command to the connected house_arrest service.

Calls house_arrest_send_request() internally.

Parameters

  client | The house_arrest client to use.
  command | The command to send. Currently, only VendContainer and VendDocuments are known.
  appid | The application identifier to pass along with the .

Note
  If this function returns HOUSE_ARREST_E_SUCCESS it does not mean that the command was successful. To check for success or failure you need to call house_arrest_get_result().

See also
  house_arrest_get_result

Returns
  HOUSE_ARREST_E_SUCCESS if the command was successfully sent, HOUSE_ARREST_E_INVALID_ARG if client, command, or appid is invalid, HOUSE_ARREST_E_INVALID_MODE if the client is not in the correct mode, or HOUSE_ARREST_E_CONN_FAILED if a connection error occurred.